Name:           dvtm
Version:        0.8
Release:        1%{?dist}
Summary:        Tiling window management for the console
Group:          Applications/System
License:        MIT and ISC
URL:            http://www.brain-dump.org/projects/%{name}/
Source0:        http://www.brain-dump.org/projects/%{name}/%{name}-%{version}.tar.gz
Patch0:         Makefile-0.5.2.patch
BuildRequires:  ncurses-devel

%description
dvtm brings the concept of tiling window management, popularized by
X11-window managers like dwm to the console. As a console window
manager it tries to make it easy to work with multiple console based
programs like vim, mutt, cmus or irssi.

%prep
%setup -q
%patch0 -p1 -b .Makefile

%build
sed -i 's/PREFIX.*local*/PREFIX\ =\ \/usr\//' config.mk
CFLAGS="%{optflags}" make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%files
%doc LICENSE README
%{_bindir}/%{name}
%{_bindir}/%{name}-status
%{_mandir}/man1/%{name}.1*

%changelog
* Wed Aug 01 2012 Petr Šabata <contyk@redhat.com> - 0.8-1
- Update to 0.8

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Sep 05 2011 Petr Sabata <contyk@redhat.com> - 0.7-1
- Update to 0.7
- Change license of the terminal component to ISC
- Drop now obsolete BuildRoot and defattr

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Aug 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5.2-1
- Updated to 0.5.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-5
- Removed LGPLv2 copy

* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-4
- Updated Makefile patch to echo current execution lines for
-  dvtm.c and madtty.c and added LGPLv2 txt file

* Fri May 22 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-3
- Fixed license tag

* Sun May 10 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-2
- Removed -stripping from binaries and saving timestamp while
- installing via Makefile patch.

* Sun May 10 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-1
- Initial package
